All Classes Namespaces Functions Variables Groups Pages
PgsqlSqlUtil::PgsqlView Class Reference

represents a PostgreSQL view More...

Inheritance diagram for PgsqlSqlUtil::PgsqlView:
[legend]

## Public Member Functions

| constructor (string n_name, string n_src, *string n_schemaname, *string n_viewowner)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the view in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the view in the database More...

## Public Attributes

*string | viewowner
| Owner of the view.

## Detailed Description

represents a PostgreSQL view

## Member Function Documentation

softlist PgsqlSqlUtil::PgsqlView::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

virtual

returns a string that can be used to rename the view in the database

The object is renamed in place with this call

Parameters

  new_name | the new name of the object
  opt | this option is ignored

Implements SqlUtil::AbstractView.